# Class compound_source

- Defined in File compound.hpp

## Class Documentation

class compound_source

  Stack based source for compound info.

  Use this class to temporarily add a compound source to the compound_factory.

      cif::file f("1cbs-with-custom-rea.cif");
      cif::compound_source cs(f);

      auto &cf = cif::compound_factory::instance();
      auto rea_compound = cf.create("REA");

  Public Functions

  inline compound_source(const cif::file &file)
  inline ~compound_source()